Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | PROPERTY | CONSTR | METHOD | DETAIL: FIELD | PROPERTY | CONSTR | METHOD

## org.codehaus.groovy.grails.webflow.engine.builder
[Groovy] Class FlowBuilder

    java.lang.Object
      org.springframework.webflow.engine.builder.support.AbstractFlowBuilder
          org.codehaus.groovy.grails.webflow.engine.builder.FlowBuilder

    class FlowBuilder
    extends AbstractFlowBuilder

A builder implementation used to construct Spring Webflows. This is a DSL specifically designed to allow the construction of complex flows and is integrated into Grails' controller mechanism

An example flow can be seen below:

               displaySearchForm {
                   on("submit").to "executeSearch"
               }
               executeSearch {
                   action {
                       [results:searchService.executeSearch(params.q)]
                   }
                   on("success").to "displayResults"
                   on(Exception).to "displaySearchForm"
               }
               displayResults()

Authors:
  Graeme Rocher

Since:
  0.6

Field Summary
`protected FlowDefinitionLocator` | `definitionLocator`
`protected FlowBuilderServices` | `flowBuilderServices`

Property Summary
`static java.lang.Object` | `CLOSURE_METHODS`
`static java.lang.Object` | `DO_CALL_METHOD`
`static java.lang.Object` | `FLOW_INFO_METHODS`
`static java.lang.Object` | `FLOW_METHOD`
`static java.lang.Object` | `LOG`
`ApplicationContext` | `applicationContext`
`java.lang.String` | `flowId`
`java.lang.String` | `viewPath`

Constructor Summary
`FlowBuilder(java.lang.String flowId, FlowBuilderServices flowBuilderServices, FlowDefinitionLocator definitionLocator)`
`FlowBuilder(java.lang.String flowId, groovy.lang.Closure newFlowClosure, FlowBuilderServices flowBuilderServices, FlowDefinitionLocator definitionLocator)`

Method Summary
`void` | `buildStates()`
`protected State` | `createEndState(java.lang.String stateId, java.lang.String viewId, FlowArtifactFactory flowFactory, groovy.lang.Closure customEntryAction = null)`
`protected State` | `createRedirectEndState(java.lang.String stateId, java.lang.String url, FlowArtifactFactory flowFactory, groovy.lang.Closure customEntryAction = null)`
`protected ViewFactory` | `createViewFactory(java.lang.String viewId)`
`FlowBuilderContext` | `getFlowBuilderContext()`
`groovy.lang.MetaClass` | `getMetaClass()`
`java.lang.Object` | `getProperty(java.lang.String property)`
`java.lang.Object` | `invokeMethod(java.lang.String name, java.lang.Object args)`
`void` | `setMetaClass(groovy.lang.MetaClass metaClass)`
`void` | `setProperty(java.lang.String property, java.lang.Object newValue)`

Field Detail

### definitionLocator

    protected FlowDefinitionLocator definitionLocator

### flowBuilderServices

    protected FlowBuilderServices flowBuilderServices

Property Detail

### CLOSURE_METHODS

    static final java.lang.Object CLOSURE_METHODS

### DO_CALL_METHOD

    static final java.lang.Object DO_CALL_METHOD

### FLOW_INFO_METHODS

    static final java.lang.Object FLOW_INFO_METHODS

### FLOW_METHOD

    static final java.lang.Object FLOW_METHOD

### LOG

    static final java.lang.Object LOG

### applicationContext

    ApplicationContext applicationContext

### flowId

    final java.lang.String flowId

### viewPath

    java.lang.String viewPath

Constructor Detail

### FlowBuilder

    FlowBuilder(java.lang.String flowId, FlowBuilderServices flowBuilderServices, FlowDefinitionLocator definitionLocator)

### FlowBuilder

    FlowBuilder(java.lang.String flowId, groovy.lang.Closure newFlowClosure, FlowBuilderServices flowBuilderServices, FlowDefinitionLocator definitionLocator)

Method Detail

### buildStates

    void buildStates()

### createEndState

    protected State createEndState(java.lang.String stateId, java.lang.String viewId, FlowArtifactFactory flowFactory, groovy.lang.Closure customEntryAction = null)

### createRedirectEndState

    protected State createRedirectEndState(java.lang.String stateId, java.lang.String url, FlowArtifactFactory flowFactory, groovy.lang.Closure customEntryAction = null)

### createViewFactory

    protected ViewFactory createViewFactory(java.lang.String viewId)

### getFlowBuilderContext

    FlowBuilderContext getFlowBuilderContext()

### getMetaClass

    groovy.lang.MetaClass getMetaClass()

### getProperty

    java.lang.Object getProperty(java.lang.String property)

### invokeMethod

    java.lang.Object invokeMethod(java.lang.String name, java.lang.Object args)

### setMetaClass

    void setMetaClass(groovy.lang.MetaClass metaClass)

### setProperty

    void setProperty(java.lang.String property, java.lang.Object newValue)

Groovy Documentation